com.r3corda.contracts.cash / CashIssuanceDefinition

# CashIssuanceDefinition

`interface CashIssuanceDefinition : IssuanceDefinition`

Subset of cash-like contract state, containing the issuance definition. If these definitions match for two contracts states, those states can be aggregated.

### Properties

currency | `abstract val currency: Currency`
deposit | `abstract val deposit: PartyAndReference` Where the underlying currency backing this ledger entry can be found (propagated)

### Inheritors

IssuanceDefinition | `data class IssuanceDefinition : CashIssuanceDefinition`